Notifizierungsvertreter
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Die Suche String. |
| search_by | Optional String | Welche Felder suchen Sie durch. Erlaubte Werte sind: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Welche Felder suchen Sie durch. Erlaubte Werte sind: . |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Filtern Sie die Ergebnisse ab diesem Datum. Y-m-d H:i:s Formate zu machen. |
| datetime_end | Optional String | Filter Ergebnisse bis zu diesem Datum. Y-m-d H:i:s Formate zu machen. |
| order_by | Optional String | Welches Feld die Ergebnisse zu bestellen. zulässige Werte sind: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | Die Bestellung der Ergebnisse. zulässige Werte sind: ASC Aufsteigende Befehle und DESC für den Abgang der Bestellung. |
| search | Optional String | Die Suche String. |
| search_by | Optional String | Welche Felder suchen Sie durch. Erlaubte Werte sind: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Welche Felder suchen Sie durch. Erlaubte Werte sind: . |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Filtern Sie die Ergebnisse ab diesem Datum. Y-m-d H:i:s Formate zu machen. |
| datetime_end | Optional String | Filter Ergebnisse bis zu diesem Datum. Y-m-d H:i:s Formate zu machen. |
| order_by | Optional String | Welches Feld die Ergebnisse zu bestellen. zulässige Werte sind: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | Die Bestellung der Ergebnisse. zulässige Werte sind: ASC Aufsteigende Befehle und DESC für den Abgang der Bestellung. |
| page | Optional Integrieren | Die Nummer der Seite, von der Sie Ergebnisse wünschen. 1. |
| results_per_page | Optional Integrieren | Wie viele Ergebnisse Sie pro Seite wünschen. zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Defekte zu 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:27",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:27",
}
}
POST https://0o0.online/api/notification-handlers
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| type | Erforderlich String | Erlaubte Werte: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| type | Optional String | Erlaubte Werte: |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \